Bug 1184 - Support for logging replies
Support for logging replies
Status: RESOLVED FIXED
Product: unbound
Classification: Unclassified
Component: server
1.6.0
Other All
: P5 enhancement
Assigned To: unbound team
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-12-15 07:28 CET by Manu Bretelle
Modified: 2017-01-06 08:53 CET (History)
2 users (show)

See Also:


Attachments
Support for logging replies (15.14 KB, application/octet-stream)
2016-12-15 07:28 CET, Manu Bretelle
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Manu Bretelle 2016-12-15 07:28:33 CET
Created attachment 368 [details]
Support for logging replies

Currently unbound only has support for logging queries by setting `log-queries` to yes in config.

There can be value in logging replies also as this can provide some more information such as:
- return code
- time to resolve the query
- response from cache or not
- response size
This becoes useful for troubleshooting/analytical purpose.

This patch was contributed by Larissa Feng during her internship
Comment 1 Wouter Wijngaards 2016-12-16 09:34:56 CET
Hi Manu, and Larissa,

Thank you for the patch.

Is your patch BSD licensed?

Best regards, Wouter
Comment 2 Manu Bretelle 2016-12-16 20:22:05 CET
Hi Wouter,

Yes, it is BSD licensed.

Manu
Comment 3 Manu Bretelle 2017-01-04 02:35:48 CET
Hi Wouter,

Do you have any concerned with this diff? Are you willing to merge it upstream?
Thanks
Comment 4 Wouter Wijngaards 2017-01-05 11:06:37 CET
Hi Manu,

With some rewrites, I merged it.  (removed memory leak, and other fixes).

Thank you for the contribution.  I attributed it to Larissa Feng in the changelog, so you want me to note the organisation where the internship took place (in brackets?).

Best regards, Wouter
Comment 5 Manu Bretelle 2017-01-05 20:25:51 CET
Thanks Wouter,

I am good with the changelog, only the individual that contributed mattered.

Thanks
Comment 6 Wouter Wijngaards 2017-01-06 08:53:47 CET
Hi Manu,

Ok, thank you Larissa!

Best regards, Wouter